> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Move an Elastic IP

> Moves an Elastic IP to a different server within the same project. The reassignment is performed asynchronously.

**Note:** This feature requires the `elastic_ips` feature flag to be enabled for your team. The Elastic IP must be in `active` status and the target server must belong to the same project.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /elastic_ips/{elastic_ip_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /elastic_ips/{elastic_ip_id}:
    patch:
      tags:
        - Elastic Ips
      summary: Move an Elastic IP
      description: >
        Moves an Elastic IP to a different server within the same project. The
        reassignment is performed asynchronously.


        **Note:** This feature requires the `elastic_ips` feature flag to be
        enabled for your team. The Elastic IP must be in `active` status and the
        target server must belong to the same project.
      operationId: update-elastic-ip
      parameters:
        - name: elastic_ip_id
          in: path
          description: The Elastic IP ID
          required: true
          examples:
            Success:
              value: eip_KeQbB4BoO6x10
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/update_elastic_ip'
            examples:
              Move:
                summary: Move to another server
                value:
                  data:
                    type: elastic_ips
                    attributes:
                      server_id: sv_oDEBlwBGRO2me
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/update_elastic_ip'
            examples:
              Move:
                summary: Move to another server
                value:
                  data:
                    type: elastic_ips
                    attributes:
                      server_id: sv_oDEBlwBGRO2me
        required: true
      responses:
        '202':
          description: Accepted
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: eip_KeQbB4BoO6x10
                      type: elastic_ips
                      attributes:
                        address: 177.54.156.7
                        family: IPv4
                        prefix_length: 32
                        mode: routed
                        status: moving
                        created_at: '2026-02-24T17:06:28.108Z'
                        server:
                          id: sv_oDEBlwBGRO2me
                          hostname: new-server
                          primary_ipv4: 177.54.157.180
                          operating_system: ubuntu_24_04_x64_lts
                        project:
                          id: proj_AoW6vRnwkvLn0
                          name: My Project
                          slug: my-project
                        region:
                          id: region_sa_sao_paulo
                          name: São Paulo
                          location:
                            id: site_sao
                            name: São Paulo
                            slug: SAO
              schema:
                $ref: '#/components/schemas/elastic_ip'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: FEATURE_NOT_ENABLED
                        message: Elastic IPs is not enabled for this team
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/error_object'
        '422':
          description: Unprocessable Entity
          content:
            application/vnd.api+json:
              examples:
                ElasticIpNotActive:
                  value:
                    errors:
                      - code: ELASTIC_IP_NOT_ACTIVE
                        message: Elastic IP must be in active status to move
                ServerNotInProject:
                  value:
                    errors:
                      - code: SERVER_NOT_IN_PROJECT
                        message: Target server must belong to the same project
                SiteNotSupported:
                  value:
                    errors:
                      - code: SITE_NOT_SUPPORTED
                        title: Site Not Supported
                        status: '422'
                        detail: Elastic IPs are not available for site SAO
                ServerNetworkIncompatible:
                  value:
                    errors:
                      - code: SERVER_NETWORK_INCOMPATIBLE
                        title: Server Network Incompatible
                        status: '422'
                        detail: >-
                          Your server has outdated network configuration and we
                          cannot enable elastic IP for it. Please reach out to
                          support
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.elastic_ips.update_elastic_ip(elastic_ip_id="eip_KeQbB4BoO6x10", data={
                    "type": latitudesh_python_sdk.UpdateElasticIPType.ELASTIC_IPS,
                    "attributes": {
                        "server_id": "sv_oDEBlwBGRO2me",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ElasticIps.UpdateElasticIP(ctx, \"eip_KeQbB4BoO6x10\", components.UpdateElasticIP{\n        Data: components.UpdateElasticIPData{\n            Type: components.UpdateElasticIPTypeElasticIps,\n            Attributes: components.UpdateElasticIPAttributes{\n                ServerID: \"sv_oDEBlwBGRO2me\",\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ElasticIP != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.elasticIps.updateElasticIp({
                elasticIpId: "eip_KeQbB4BoO6x10",
                updateElasticIp: {
                  data: {
                    type: "elastic_ips",
                    attributes: {
                      serverId: "sv_oDEBlwBGRO2me",
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    update_elastic_ip:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              enum:
                - elastic_ips
            attributes:
              type: object
              properties:
                server_id:
                  type: string
                  description: The server ID to move the Elastic IP to
              required:
                - server_id
          required:
            - type
            - attributes
      required:
        - data
    elastic_ip:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/elastic_ip_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    elastic_ip_data:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: The Elastic IP ID. May be null during initial provisioning.
        type:
          type: string
          enum:
            - elastic_ips
        attributes:
          type: object
          properties:
            address:
              type: string
              description: The IP address
            family:
              type: string
              enum:
                - IPv4
              description: The IP address family
            prefix_length:
              type: integer
              description: The prefix length (e.g., 32 for a single IP)
            mode:
              type: string
              enum:
                - routed
              description: The routing mode for this Elastic IP
            status:
              type: string
              enum:
                - configuring
                - active
                - moving
                - releasing
                - error
              description: The current status of the Elastic IP
            created_at:
              type: string
              format: date-time
              description: The timestamp when the Elastic IP was created
            server:
              type: object
              nullable: true
              description: The server this Elastic IP is assigned to
              properties:
                id:
                  type: string
                hostname:
                  type: string
                primary_ipv4:
                  type: string
                operating_system:
                  type: string
                  nullable: true
            project:
              type: object
              description: The project this Elastic IP belongs to
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            region:
              type: object
              nullable: true
              description: The region where this Elastic IP is located
              properties:
                id:
                  type: string
                  description: The region ID
                name:
                  type: string
                  description: The region name
                location:
                  type: object
                  description: The site/location within the region
                  properties:
                    id:
                      type: string
                      description: The site ID
                    name:
                      type: string
                      description: The site name
                    slug:
                      type: string
                      description: The site slug
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````